﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace CollectionViewOnDemand
{
    public partial class ListViewPage : ContentPage
    {
        public ListViewPage()
        {
            InitializeComponent();

            // instantiate our on demand collection view
            MyOnDemandCollectionView myCollectionView = new MyOnDemandCollectionView();
            MyListView.ItemsSource = myCollectionView;

            // set page size
            MyListView.SetPageSize(10);

            // start on demand loading
            MyListView.LoadItemsOnDemand(myCollectionView);
        }
    }
}
