﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xuni.CollectionView;

namespace CollectionViewOnDemand
{
    public class MyOnDemandCollectionView : XuniCursorCollectionView<MyDataItem>
    {
        protected override async Task<Tuple<string, IReadOnlyList<MyDataItem>>> GetPageAsync(string pageToken, int? count = null)
        {
            // create new page of items
            var newItems = new List<MyDataItem>();
            for(int i = 0; i < count; i++)
            {
                newItems.Add(new MyDataItem(this.Count + i));
            }

            return new Tuple<string, IReadOnlyList<MyDataItem>>("token not used", newItems);
        }
    }
}
